# ---------------------------------------------------------------------------
# transportation.yaml
#
#   Change Logs
#   Version#     Date                            Changes                Author
#   -------- ----------- --------------------------------------------- --------
#     1.0.0  2022/01/24  Initial                                        柯文正
#     1.0.1  2022/05/31  Changed output_datapath and added one notice   柯文正
#                        receiver: harvey, in create_delivery_data
#     1.1.0  2022/07/12  Added add_original_fee_column settings         柯文正
#   -------- ----------- --------------------------------------------- --------
#
# 以下為目前使用此檔案的程式:
#  1) chk_mission_input          檢查班表是否匯入
#  2) download_speeding_info     下載及處理資料, 產生超速報表
#  3) input_helper               產生司機休假資料報表
#  4) calc_company_car_fee       產生公司車司機薪資, 及客戶運費報表
#  5) calc_outside_car_fee       產生外車/靠行車司機薪資, 及客戶運費報表
#  6) combine_fee                合併公司車及外車/靠行車, 兩個檔案
#  7) locate_trailer             計算夜貼&休息日加班
#  8) get_milages                計算車頭累積公里數
#  9) create_delivery_data       從勤務系統讀出前一天的運送資料
# 10) gen_customers_fee_rpt      產生客戶對帳表
# 11) extract_data_time          從"趟次統計表"抓取一段時間的資料 (全部的欄位)
# 12) gen_company_drivers_payment_rpt  產生公司司機的運薪
# 13) merge_all_done_files       合併 *_全部運薪運費表_* 檔案
# 14) get_shipping_dist          每天出車的時間分配
# 15) chk_data_sanity            檢查趟次統計表一段時間內的時間是否有';'符號
# 16) ext_data                   檢查趟次統計表資料完整性, 再從"趟次統計表"抓取一段時間的資料 (全部的欄位)
# 17) add_original_fee_column    在全部的運薪運費表裡加一欄: 運費原始價格
# 18) gen_km_fee_details         列出廣明運費明細
# 19) notify_late_departure      LINE推播給行控及調度,關於沒按排程出車的趟次
# ---------------------------------------------------------------------------
MEDIA_ROOT: "/webData/media"

chk_mission_input:
  Paths_Linux:
    msg_relay_path: "/itrans/it/logfiles/msg_relay/"

  Settings:
    create_notice_msg_file: true    # used by send_delivery_data_notice.py

  NoticeReceivers:
    - "tao@itrans-express.com"
    - "chrischiu@itrans-express.com"
    - "jack@itrans-express.com"           # 張心宏
    - "wanjing@itrans-express.com"        # 張菀菁  Taco
    - "dana@itrans-express.com"           # 沈怡君
    - "waldo@itrans-express.com"
    - "bella20091111@itrans-express.com"
    - "irene@itrans-express.com"
    - "wenjengko@itrans-express.com"
    # - "wenjengk@gmail.com"

  Develop:
    debug: true
    notify_persons_via_email: false
    notify_persons_via_line: false

# ---------------------------------------------------------------------------
download_speeding_info:
  RemoteIP: "52.163.246.241"
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    tmp_filepath: "C:\\iTRANS\\tmp\\download_speeding_info"
    itrans_datapath_base: "52.163.246.241:\\itrans\\dot\\超速報表"
    itrans_datapath_base_only: "\\itrans\\dot\\超速報表"
    comn_datapath: "C:\\iTRANS\\Data\\Common"
    log_datapath: "C:\\iTRANS\\log\\dot"

  Settings:
    speed_limit_tolerance: 3          # km/hr
    max_num_cars_per_query: 30        # number of cars in one query
    start_num_days_before_today: -7   # days, default: -7
    end_num_days_before_today: -1     # days, default: -1
    speeding_lasting_seconds: 90      # seconds
    write_to_log_file: true
    gid_dot: 1007                     # group ID of 'dot'

  RealSpeedLimit:
    '雲林縣斗六市雲科路三段': 70
    '雲林縣斗南鎮雲科路四段': 70
    '彰化縣埔鹽鄉柳橋路六段': 70

  NoticeReceivers:
    - "wanru@itrans-express.com"
    - "irene@itrans-express.com"
    - "victoria@itrans-express.com"
    - "wenjengko@itrans-express.com"
    # - "wenjengk@gmail.com"

  Develop:
    debug: false
    send_to_cloud: true
    notify_persons: true

# ---------------------------------------------------------------------------
download_speeding_info_web:
  Paths:
    tmp_filepath: "/webData/media/download_speeding_info"
    # base_datapath: "/iData/Transportation"
    # log_datapath: "/itrans/webtmp/logs/download_speeding_info_web"

  Settings:
    speed_limit_tolerance: 3          # km/hr
    max_num_cars_per_query: 30        # number of cars in one query
    speeding_lasting_seconds: 90      # seconds
    write_to_log_file: true

  RealSpeedLimit:
    '雲林縣斗六市雲科路三段': 70
    '雲林縣斗南鎮雲科路四段': 70
    '彰化縣埔鹽鄉柳橋路六段': 70

  Develop:
    debug: false

# ---------------------------------------------------------------------------
input_helper:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    comn_datapath: "C:\\iTRANS\\Data\\Common"

  DriveTime:
    # Average during time (hours), used to calculate 夜貼費
    北轉_竹科: 2.5
    北轉_中科: 3.5
    北轉_南科: 4.5

  Settings:
    maxrows_營運統計表: 50000   # 14819: the end row number of 2020/9/30
    skiprows_begin: 0
    skiprows_end: 0

  # This setting is used for finding out the 列帳月份 column value.
  # group_A: whole month, first data to last day of the month,  value <-- the month
  # group_B: from previous 21 to current month 20,  value <-- current month
  # group_C: from previous 26 to current month 25,  value <-- current month
  # group_S: special case,  value <-- blank
  PaymentMonth:
    group_A_names: "廣明 BASF BASF-OEM 台灣紙業 香港商邊行 愛豐通運 愛豐 李長榮"
    group_A_dates: "1 31"
    group_B_names: "義鎧國內 義鎧進出口"
    group_B_dates: "21 20"
    group_C_names: "僑力國內 夫翔 夫翔特殊氣體 昇通國際 海威 達豐氣體 元成化工"
    group_C_dates: "26 25"
    group_S_names: "台灣亨斯邁 亨斯邁"

  DataFrame:  # Adds 列帳月份 column when reading the data
    columns: "日期 年 月 日 列帳月份 請款客戶 愛豐單號 廠區 地點 類別 出車時間排程 出車時間實際 進磅 入廠 出廠 出磅 回廠時間排程 回廠時間實際 司機1 趟次費用碼"

  Develop:
    debug: false

  # Dates:
  #   last_start_date_extracted: 2021/12/01
  #   last_end_date_extracted: 2021/12/02

# ---------------------------------------------------------------------------
# creates on 2022/5/5
main_calc_fee_salary:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    comn_datapath: "C:\\iTRANS\\Data\\Common"
    # reference_datapath: "G:\\我的雲端硬碟\\運薪與運費"

# ---------------------------------------------------------------------------
# creates on 2022/2/23
calc_company_car_fee:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    comn_datapath: "C:\\iTRANS\\Data\\Common"
    reference_datapath: "G:\\我的雲端硬碟\\運薪與運費"

  Settings:
    maxrows_營運統計表: 50000   # 14819: the end row number of 2020/9/30
    vacations_from_db: false

  Results:
    # Generate customers' price data
    # gen_prices: true
    # Remove all columns related to fee in the output
    rm_fees: false

  Develop:
    debug: false

# ---------------------------------------------------------------------------
# creates on 2022/2/23
calc_outside_car_fee:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    comn_datapath: "C:\\iTRANS\\Data\\Common"
    reference_datapath: "G:\\我的雲端硬碟\\運薪與運費"

  Settings:
    maxrows_營運統計表: 50000   # 14819: the end row number of 2020/9/30
    vacations_from_db: false

  Files:
    get_outside_car_fee_table: false

  Develop:
    debug: false

# ---------------------------------------------------------------------------
# creates on 2022/2/23
combine_fee:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"

  Settings:
    maxrows_營運統計表: 50000   # 14819: the end row number of 2020/9/30

  Develop:
    debug: false

# ---------------------------------------------------------------------------
# creates on 2022/3/1
locate_trailer:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    comn_datapath: "C:\\iTRANS\\Data\\Common"

# ---------------------------------------------------------------------------
# creates on 2022/3/1
get_milages:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    output_datapath: "C:\\iTRANS\\Data\\Transportation"

  Settings:
    maxrows_營運統計表: 50000   # 14819: the end row number of 2020/9/30

# ---------------------------------------------------------------------------
# creates on 2022/3/18
create_delivery_data:
  Paths_Windows:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    output_datapath: "G:\\我的雲端硬碟\\運輸-每天趟次表"
    reference_datapath: "G:\\我的雲端硬碟\\共用資料"
    # itrans_datapath_base: "52.163.246.241:\\itrans\\dot\\超速報表"
    comn_datapath: "C:\\iTRANS\\Data\\Common"
    log_datapath: "C:\\iTRANS\\log\\dot"
    msg_relay_path: "C:\\iTRANS\\it\\logfiles\\msg_relay"  # This is dummy in Windows

  Paths_Linux:
    base_datapath: "/iData/Transportation/"
    output_datapath: "/itrans/it/運輸-每天趟次表/"
    reference_datapath: "/iData/Common/"
    comn_datapath: "/iData/Common/"
    log_datapath: "/iScripts/log/dot/"
    msg_relay_path: "/itrans/it/logfiles/msg_relay/"

  Settings:
    vacations_from_db: yes          # 
    get_user_input_date: false      # true: get query date from user
    write_to_log_file: true
    days_to_get: 3
    create_notice_msg_file: true    # used by send_delivery_data_notice.py

  NoticeReceivers:
    - "wenjengko@itrans-express.com"
    # - "wanru@itrans-express.com"    # per Wanru's request on 2023/1/30, remove notification except myself
    # - "peihsin@itrans-express.com"
    # - "irene@itrans-express.com"
    # - "tia@itrans-express.com"
    # - "harvey@itrans-express.com"
    # - "wanjing@itrans-express.com"
    # - "dana@itrans-express.com"

  Develop:
    debug: false
    notify_persons: false
    send_to_cloud: false    # This setting is not used in create_delivery_data

# ---------------------------------------------------------------------------
# creates on 2022/7/4
send_delivery_data_notice:
  Paths_Linux:
    msg_relay_path: "/itrans/it/logfiles/msg_relay/"

# ---------------------------------------------------------------------------
# creates this setting on 2022/4/6
# adds 台紙 settings on   2023/2/14
gen_customers_fee_rpt:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    comn_datapath: "C:\\iTRANS\\Data\\Common"
    log_datapath: "C:\\iTRANS\\log\\dot"

  Customers:
    BASF:
      rpt_name: "LSP對帳表-愛豐"
      customer_name: "台灣巴斯夫(股)公司"
      name_abbreviation: "BASF"
      start_date: 0
      end_date: -1
      input_columns: "日期 車頭 廠區 趟次費用 入廠 出廠 加班時數 超出費用 實際\n趟次費用 備註1"
      # for worksheet: 出貨-槽車
      output_columns_1: "日期 車號 起點 客戶 主運費 入廠時間_(h:mm) 出廠時間_(h:mm) 超時時數 超時運費 總費用 備註"
      # for worksheet: OEM-槽車
      output_columns_2: "日期 車號 起點 供廠商 迄點 主運費 超時運 總費用 備註"

    # 香港商邊行:
    #   rpt_name: "香港商邊行運費明細"
    #   customer_name: "香港商邊行有限公司"
    #   name_abbreviation: "香港商邊行"
    #   start_date: 1
    #   end_date: -1
    #   input_columns: "日期 愛豐單號 車頭 酸別 廠區 槽號/櫃號 入廠 出廠 超出時數 加班時數 實際\n趟次費用 超出費用 備註1"
    #   trailer_storage_fee_per_day: 350

    # 長豐報關:
    #   rpt_name: "長豐報關運費明細"
    #   customer_name: "長豐報關有限公司"
    #   name_abbreviation: "長豐報關"
    #   start_date: 26
    #   end_date: 25
    #   input_columns: "日期 愛豐單號 車頭 酸別 廠區 槽號/櫃號 入廠 出廠 超出時數 加班時數 實際\n趟次費用 超出費用 備註1"
    #   trailer_storage_fee_per_day: 350

    # 義鎧:
    #   rpt_name: "EK運費表 PPC(TTP)運費表 PPC(TYP)運費表"
    #   customer_name: "義鎧科技(股)公司"
    #   name_abbreviation: "義鎧"
    #   start_date: 21
    #   end_date: 20
    #   input_columns: "日期 愛豐單號 車頭 酸別 廠區 槽號/櫃號 入廠 出廠 超出時數 加班時數 實際\n趟次費用 超出費用 備註1"
    #   trailer_storage_fee_per_day: 350

    僑力:
      rpt_name: "SU國內請款明細"
      customer_name: "僑力化工股份有限公司"
      name_abbreviation: "僑力"
      start_date: 21
      end_date: 20
      input_columns: "日期 愛豐單號 車頭 酸別 廠區 槽號/櫃號 入廠 出廠 超出時數 加班時數 實際\n趟次費用 超出費用 備註1"
      trailer_storage_fee_per_day: 350

    台紙:
      rpt_name: "台紙請款明細"
      customer_name: "台灣紙業股份有限公司"
      name_abbreviation: "台紙"
      start_date: 0
      end_date: -1
      input_columns: "日期 愛豐單號 車頭 酸別 廠區 地點 槽號/櫃號 進磅 出磅 超出時數 加班時數 趟次費用 超出費用 其他應收費用 實際\n趟次費用 備註1"

      # 一般運費
      output_columns1: "日期 愛豐單號 車頭 酸別 廠區 地點 櫃號 磅費 進磅 出磅 進出磅 超出時數 趟次費用 超出費用  運費補貼價     實際運費    備註"
      # 晃槽
      output_columns2: "日期 愛豐單號 車頭 酸別 廠區 地點 櫃號 磅費 進磅 出磅 進出磅 超出時數 趟次費用 超出費用            實際運費    備註"
      # 17噸鷗翼車
      output_columns3: "日期 愛豐單號 車頭 酸別 廠區 地點 櫃號 磅費 進磅 出磅 進出磅 超出時數 趟次費用 超出費用  緊急出車費     實際運費    備註"

      # 磅費 value is always 0 because it is not used currently

  Develop:
    debug: false

# ---------------------------------------------------------------------------
# creates on 2022/4/7
extract_data_time:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"

  DataFrame:
    columns: "日期 年 月 日 列帳月份 請款客戶 愛豐單號 廠區 地點 酸別 車頭 槽號/櫃號 板架 批號 數量(KG) 其他應收費用 客戶收費備註 類別 港口運費碼 趟次費用 超出費用 實際趟次費用 進出計算別  超出時分 超出時數 加班時數 起里程 迄里程 里程 出車時間排程 出車時間實際 進磅 入廠 出廠 出磅 回廠時間排程 回廠時間實際 司機1 運薪/運費/技服費 接駁車號 接駁-竹科 接駁-中科 接駁-南科 接駁-基隆港 接駁-穩懋 接駁-北美光 接駁-苗栗西湖 接駁-雲林 接駁-台北港 接駁-苗栗(李長榮) 接駁-中科(李長榮) (多點運送)TYP-台中港(600) (多點運送)台中港-TYP(600) (單點運送)TYP-台中港(1000) (單點運送)台中港-TYP(1000) (多點運送)台中-TTP 多點卸貨(500) (多點運送)台中港-TYP(600)南 (多點運送)TYP-彰化 (多點運送)中轉-彰化-TYP(600) (多點運送)高雄-TYP(1500) 出車夜貼(23:00-05:00) 回廠夜貼(23:00-05:00) 送空 提滿 送空+提滿 台北港+台北港 基隆港+基隆港 台北港+基隆港 楊梅+台北港 楊梅+基隆港 基隆東岸+基隆西岸 南轉-T18(600) 僑力-南轉-T18(2500) 僑力-南轉(1800) 自南轉車頭出車 等待(拉槽/技服/資料/入廠) TTP過刷TYP拉車出貨 其他津貼碼 司機2 接駁入廠獎金 拉回重槽 備註 備註1 第3小時算加班 司機進出廠時間 進出磅時間 請款客戶.1 客戶 廠區.1 地點.1 地點.2 運費費用 國定假日 趟次費用碼 車頭.1 司機 類別A 趟次費用.1 加班費 夜貼 等待 休息日加班 合計"
    # columns: "日期 年 月 日 列帳月份 請款客戶 愛豐單號 廠區 地點 類別 出車時間排程 出車時間實際 進磅 入廠 出廠 出磅 回廠時間排程 回廠時間實際 司機1 趟次費用碼"

  Settings:
    maxrows_營運統計表: 50000   # 14819: the end row number of 2020/9/30
    # 20879: the end row number of 2020/12/31
    skiprows_begin: 0
    # skiprows_end = 20879
    skiprows_end: 0
    
  Develop:
    debug: false
# ---------------------------------------------------------------------------
# creates on 2022/4/8
gen_company_drivers_payment_rpt:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    comn_datapath: "C:\\iTRANS\\Data\\Common"

  Develop:
    debug: false

# ---------------------------------------------------------------------------
# creates on 2022/4/29
merge_all_done_files:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"

# ---------------------------------------------------------------------------
# creates on 2022/5/9
get_shipping_dist:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"

  Develop:
    debug: false

# ---------------------------------------------------------------------------
# creates on 2022/5/19
chk_data_sanity:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"

  DataFrame:
    columns: "日期 年 月 日 列帳月份 請款客戶 愛豐單號 廠區 地點 酸別 車頭 槽號/櫃號 板架 批號 數量(KG) 其他應收費用 客戶收費備註 類別 港口運費碼 趟次費用 超出費用 實際趟次費用 進出計算別  超出時分 超出時數 加班時數 起里程 迄里程 里程 出車時間排程 出車時間實際 進磅 入廠 出廠 出磅 回廠時間排程 回廠時間實際 司機1 運薪/運費/技服費 接駁車號 接駁-竹科 接駁-中科 接駁-南科 接駁-基隆港 接駁-穩懋 接駁-北美光 接駁-苗栗西湖 接駁-雲林 接駁-台北港 接駁-苗栗(李長榮) 接駁-中科(李長榮) (多點運送)TYP-台中港(600) (多點運送)台中港-TYP(600) (單點運送)TYP-台中港(1000) (單點運送)台中港-TYP(1000) (多點運送)台中-TTP 多點卸貨(500) (多點運送)台中港-TYP(600)南 (多點運送)TYP-彰化 (多點運送)中轉-彰化-TYP(600) (多點運送)高雄-TYP(1500) 出車夜貼(23:00-05:00) 回廠夜貼(23:00-05:00) 送空 提滿 送空+提滿 台北港+台北港 基隆港+基隆港 台北港+基隆港 楊梅+台北港 楊梅+基隆港 基隆東岸+基隆西岸 南轉-T18(600) 僑力-南轉-T18(2500) 僑力-南轉(1800) 自南轉車頭出車 等待(拉槽/技服/資料/入廠) TTP過刷TYP拉車出貨 其他津貼碼 司機2 接駁入廠獎金 拉回重槽 備註 備註1 第3小時算加班 司機進出廠時間 進出磅時間 請款客戶.1 客戶 廠區.1 地點.1 地點.2 運費費用 國定假日 趟次費用碼 車頭.1 司機 類別A 趟次費用.1 加班費 夜貼 等待 休息日加班 合計"

  Settings:
    maxrows_營運統計表: 50000   # 14819: the end row number of 2020/9/30
    # 20879: the end row number of 2020/12/31
    skiprows_begin: 0
    # skiprows_end = 20879
    skiprows_end: 0

  Develop:
    debug: false

# ---------------------------------------------------------------------------
# creates on 2022/4/7
ext_sanity_data:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"

  DataFrame:
    columns: "日期 年 月 日 列帳月份 請款客戶 愛豐單號 廠區 地點 酸別 車頭 槽號/櫃號 板架 批號 數量(KG) 其他應收費用 客戶收費備註 類別 港口運費碼 趟次費用 超出費用 實際趟次費用 進出計算別  超出時分 超出時數 加班時數 起里程 迄里程 里程 出車時間排程 出車時間實際 進磅 入廠 出廠 出磅 回廠時間排程 回廠時間實際 司機1 運薪/運費/技服費 接駁車號 接駁-竹科 接駁-中科 接駁-南科 接駁-基隆港 接駁-穩懋 接駁-北美光 接駁-苗栗西湖 接駁-雲林 接駁-台北港 接駁-苗栗(李長榮) 接駁-中科(李長榮) (多點運送)TYP-台中港(600) (多點運送)台中港-TYP(600) (單點運送)TYP-台中港(1000) (單點運送)台中港-TYP(1000) (多點運送)台中-TTP 多點卸貨(500) (多點運送)台中港-TYP(600)南 (多點運送)TYP-彰化 (多點運送)中轉-彰化-TYP(600) (多點運送)高雄-TYP(1500) 出車夜貼(23:00-05:00) 回廠夜貼(23:00-05:00) 送空 提滿 送空+提滿 台北港+台北港 基隆港+基隆港 台北港+基隆港 楊梅+台北港 楊梅+基隆港 基隆東岸+基隆西岸 南轉-T18(600) 僑力-南轉-T18(2500) 僑力-南轉(1800) 自南轉車頭出車 等待(拉槽/技服/資料/入廠) TTP過刷TYP拉車出貨 其他津貼碼 司機2 接駁入廠獎金 拉回重槽 備註 備註1 第3小時算加班 司機進出廠時間 進出磅時間 請款客戶.1 客戶 廠區.1 地點.1 地點.2 運費費用 國定假日 趟次費用碼 車頭.1 司機 類別A 趟次費用.1 加班費 夜貼 等待 休息日加班 合計"
    # columns: "日期 年 月 日 列帳月份 請款客戶 愛豐單號 廠區 地點 類別 出車時間排程 出車時間實際 進磅 入廠 出廠 出磅 回廠時間排程 回廠時間實際 司機1 趟次費用碼"

  Settings:
    maxrows_營運統計表: 50000   # 14819: the end row number of 2020/9/30
    # 20879: the end row number of 2020/12/31
    skiprows_begin: 0
    # skiprows_end = 20879
    skiprows_end: 0
    
  Develop:
    debug: false

# ---------------------------------------------------------------------------
add_original_fee_column:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    comn_datapath: "C:\\iTRANS\\Data\\Common"
    reference_datapath: "G:\\我的雲端硬碟\\運薪與運費"

  Settings:
    maxrows_營運統計表: 50000   # 14819: the end row number of 2020/9/30
    vacations_from_db: false

  Results:
    # Generate customers' price data
    # gen_prices: true
    # Remove all columns related to fee in the output
    rm_fees: false

  Develop:
    debug: false
  
# ---------------------------------------------------------------------------
get_speed_by_efence:
  RemoteIP: "52.163.246.241"
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"
    tmp_filepath: "C:\\iTRANS\\tmp\\get_speed_by_efence"
    itrans_datapath_base_only: "\\itrans\\dot\\速度查詢by電子圍籬"
    comn_datapath: "C:\\iTRANS\\Data\\Common"
    log_datapath: "C:\\iTRANS\\log\\dot"

  Settings:
    start_num_days_before_today: 0   # days, default: -1
    end_num_days_before_today: 0     # days, default: -1
    speeding_lasting_seconds: 90      # seconds
    write_to_log_file: true

  SpeedLimit: # maximum speed allowed at these area
    '香山聯絡道路口': 35
    # '新竹': 40

  NoticeReceivers:
    - "wanru@itrans-express.com"
    - "irene@itrans-express.com"
    - "wenjengko@itrans-express.com"
    # - "wenjengk@gmail.com"

  Develop:
    debug: false
    send_to_cloud: true
    notify_persons: false

# ---------------------------------------------------------------------------
# creates on 2023/5/16
gen_km_fee_details:
  Paths:
    base_datapath: "C:\\iTRANS\\Data\\Transportation"

  Develop:
    debug: false

# ---------------------------------------------------------------------------
postEC_delivery_data:
  Paths_Linux:
    output_datapath: "/iData/Transportation/客戶趟次傳易通/"

  Paths_Windows:
    output_datapath: "C:\\iTRANS\\Data\\Transportation\\"

  Customers: 
    custName: ['義鎧國內', '廣明', '李長榮']

  Develop:
    debug: true

# ---------------------------------------------------------------------------
notify_late_departure:
  Paths_Linux:
    output_datapath: "/iData/Transportation/"

  Paths_Windows:
    output_datapath: "C:\\iTRANS\\Data\\Transportation\\"

  NoticeReceivers:
    - "wenjengko@itrans-express.com"

  Develop:
    debug: true
    notify_persons_via_line: false

# ---------------------------------------------------------------------------
